5 Replies Latest reply: Dec 14, 2012 5:50 AM by Norwegian Forest Cat
filkfest Level 1 Level 1 (0 points)

I have iWork '08 and Pages '08 version 3.0.3. Do I need to buy Pages '09 to work in iCloud?